Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SpecialActionsInterfaces Class Reference

Interfaces of the SpecialAction module. More...

`#include <SpecialActions.h>`

Inheritance diagram for SpecialActionsInterfaces:

[legend]
Collaboration diagram for SpecialActionsInterfaces:

[legend]
List of all members.

## Public Member Functions
| SpecialActionsInterfaces (const MotionRequest &motionRequest, MotionRequest::MotionID &lastMotionType, PIDData &pidData, OdometryData &odometryData, MotionInfo &motionInfo)
| Constructor.
## Protected Attributes
const MotionRequest & | motionRequest
| The current motion request.
MotionRequest::MotionID & | lastMotionType
| The motion type of the previous frame.
WalkRequest::WalkType & | lastWalkType
| The walk type of the previous frame.
PIDData & | pidData
| The current PID servo gains.
OdometryData & | odometryData
| Has to be incremented by the walking engine.
MotionInfo & | motionInfo
| The neck height and the body tilt to be estimated by the walking engine.

## Detailed Description

Interfaces of the SpecialAction module.

Definition at line 22 of file SpecialActions.h.

## Constructor & Destructor Documentation

SpecialActionsInterfaces::SpecialActionsInterfaces | ( | const MotionRequest & | motionRequest,
|  | MotionRequest::MotionID & | lastMotionType,
|  | PIDData & | pidData,
|  | OdometryData & | odometryData,
|  | MotionInfo & | motionInfo
| ) | `[inline]`

| Constructor. Definition at line 26 of file SpecialActions.h. References lastWalkType.

## Member Data Documentation

const MotionRequest& SpecialActionsInterfaces::motionRequest`[protected]`

| The current motion request. Definition at line 42 of file SpecialActions.h.

MotionRequest::MotionID& SpecialActionsInterfaces::lastMotionType`[protected]`

| The motion type of the previous frame. Definition at line 45 of file SpecialActions.h.

WalkRequest::WalkType& SpecialActionsInterfaces::lastWalkType`[protected]`

| The walk type of the previous frame. Definition at line 48 of file SpecialActions.h. Referenced by SpecialActionsInterfaces().

PIDData& SpecialActionsInterfaces::pidData`[protected]`

| The current PID servo gains. Definition at line 51 of file SpecialActions.h.

OdometryData& SpecialActionsInterfaces::odometryData`[protected]`

| Has to be incremented by the walking engine. Definition at line 54 of file SpecialActions.h.

MotionInfo& SpecialActionsInterfaces::motionInfo`[protected]`

| The neck height and the body tilt to be estimated by the walking engine. Definition at line 57 of file SpecialActions.h.

The documentation for this class was generated from the following file:

- Modules/SpecialActions/SpecialActions.h